RPMSIGN(8)

BEZEICHNUNG
rpmsign - RPM-Paket-Signierung

ÜBERSICHT

  SIGNIERUNG VON PAKETEN:
rpmsign --addsign|--resign [rpmsign-options] PAKETDATEI …

rpmsign --delsign PAKETDATEI …

rpmsign --delfilesign PAKETDATEI …

  Rpmsign-Optionen
[--rpmv3] [--fskpath SCHLÜSSEL] [--signfiles]

BESCHREIBUNG
Sowohl die Option --addsign als auch --resign erzeugen neue Signaturen für jedes angegebene Paket PAKETDATEI und fügen sie ein. Sie ersetzten damit bereits vorhandene Signaturen. Aus historischen Gründen gibt es zwei Optionen, die sich momentan identisch verhalten.

Zur Generierung einer Signatur muss rpmsign die Prüfsumme des Paketes verifizieren. Deshalb können Pakete mit MD5/SHA1-Prüfsummen nicht im FIPS-Modus signiert werden.

rpmsign --delsign PAKETDATEI …

Löscht alle Signaturen von jedem angegebenen Paket PAKETDATEI.

rpmsign --delfilesign PAKETDATEI …

Löscht alle »IMA«- und »fsverity«-Datei-Signaturen von jedem angegebenen Paket PAKETDATEI.

  OPTIONEN ZUM SIGNIEREN

--rpmv3
    Erzwingt das Hinzufügen von RPM-V3-Kopf- und RPM-V3-Nutzdaten-Signaturen. Diese sind teuer und eine redundante Last für Pakete, wenn ein separater Nutzdaten-Hash existiert (Pakete, die mit RPM >= 4.14 gebaut wurden). Rpmsign erkennt eine Notwendigkeit von V3-Signaturen automatisch; diese Option kann aber verwendet werden, um ihre Erzeugung zu erzwingen, falls die Signatur der Pakete mit RPM < 4.14 voll überprüfbar sein muss oder aus anderen Gründen der Interoperabilität.

--fskpath SCHLÜSSEL
    Verwendet mit --signfiles, verwendet Dateisignierungsschlüssel SCHLÜSSEL.

--certpath ZERTIFIKAT
    Verwendet mit --signverity, verwendet Dateisignierungszertifikat ZERTIFIKAT.

--verityalgo ALG
    Mit --signverity verwendet, um den Algorithmus zur Signierung vorzugeben. SHA256 und SHA512 werden unterstützt, wobei SHA256 die Voreinstellung ist, wenn dieses Argument nicht angegeben ist. Er kann auch mit dem Makro %_verity_algorithm angegeben werden.

--signfiles
    Signiert Paketdateien. Das Makro %_binary_filedigest_algorithm muss vor dem Bau des Paketes auf einen unterstützten Algorithmus gesetzt werden. Die unterstützten Algorithmen sind SHA1, SHA256, SHA384 und SHA512, die mit 2, 8, 9 und 10 entsprechend repräsentiert werden. Der Dateisignierungsschlüssel (privater RSA-Schlüssel) muss vor dem Signieren des Paketes gesetzt sein. Er kann auf der Befehlszeile mit --fskpath oder dem Makro %_file_signing_key konfiguriert werden.

--signverity
    Signiert Paketdateien mit »fsverify«-Signaturen. Der Dateisignierungsschlüssel (privater RSA-Schlüssel) und das Dateisignierungszertifikat müssen vor dem Signieren des Paketes gesetzt sein. Der Schlüssel kann auf der Befehlszeile mit --fskpath oder dem Makro %_file_signing_key und das Zertifikat auf der Befehlszeile mit --certpath oder dem Makro %_file_signing_cert konfiguriert werden.

  KONFIGURATION DER SIGNIERSCHLÜSSEL
Um Pakete signieren zu können, müssen Sie Ihr eigenes Schlüsselpaar (aus öffentlichem und privaten Schlüssel) erzeugen - schauen Sie dazu in das GPG-Handbuch. Zusätzlich muss rpm(8) so konfiguriert werden, dass es GnuPG und die entsprechenden Schlüssel mit den folgenden Makros findet:

%_gpg_name
    Der Name des »Benutzers«, dessen Schlüssel Sie zur Signierung Ihrer Pakete verwenden möchten. Dies ist normalerweise die einzige notwendige Konfiguration.

%_gpg_path
    Der Ort Ihres GnuPG-Schlüsselbunds, wenn er von der Voreinstellung $GNUPGHOME abweicht.

%__gpg
    Der Pfad der ausführbaren Datei von GnuPG; normalerweise vorkonfiguriert.

Um zum Beispiel GnuPG zur Signierung von Paketen als der Benutzer »John Doe <jdoe@foo.com>« unter Verwendung der ausführbaren Datei /opt/bin/gpg mit den Schlüsselbunden verwenden zu können, die in /etc/rpm/.gpg liegen, würden Sie

        %_gpg_path /etc/rpm/.gpg
        %_gpg_name John Doe <jdoe@foo.com>
        %__gpg /opt/bin/gpg

in einer Makro-Konfigurationsdatei, normalerweise ~/.config/rpm/macros. Siehe unter Makro-Konfiguration in rpm(8) für weitere Details.

SIEHE AUCH
popt(3), rpm(8), rpmdb(8), rpmkeys(8), rpm2cpio(8), rpmbuild(8), rpmspec(8)

rpmsign --help - wie RPM die Anpassung der Optionen mittels »popt«-Aliase unterstützt, ist es unmöglich zu garantieren, dass alles, was im Handbuch beschrieben ist, mit dem übereinstimmt, was verfügbar ist.

http://www.rpm.org/ <URL:http://www.rpm.org/>

AUTOREN

        Marc Ewing <marc@redhat.com>
        Jeff Johnson <jbj@redhat.com>
        Erik Troan <ewt@redhat.com>
        Panu Matilainen <pmatilai@redhat.com>
        Fionnuala Gunter <fin@linux.vnet.ibm.com>
        Jes Sorensen <jsorensen@fb.com>

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Christoph Brinkhaus <c.brinkhaus@t-online.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.